#[doc = r" Register block"]
#[repr(C)]
pub struct RegisterBlock {
    #[doc = "0x00 - Comparator Control Register 0"]
    pub cex_ctl0: CEXCTL0,
    #[doc = "0x02 - Comparator Control Register 1"]
    pub cex_ctl1: CEXCTL1,
    #[doc = "0x04 - Comparator Control Register 2"]
    pub cex_ctl2: CEXCTL2,
    #[doc = "0x06 - Comparator Control Register 3"]
    pub cex_ctl3: CEXCTL3,
    _reserved0: [u8; 4usize],
    #[doc = "0x0c - Comparator Interrupt Control Register"]
    pub cex_int: CEXINT,
    #[doc = "0x0e - Comparator Interrupt Vector Word Register"]
    pub cex_iv: CEXIV,
}
#[doc = "Comparator Control Register 0"]
pub struct CEXCTL0 {
    register: ::vcell::VolatileCell<u16>,
}
#[doc = "Comparator Control Register 0"]
pub mod cex_ctl0;
#[doc = "Comparator Control Register 1"]
pub struct CEXCTL1 {
    register: ::vcell::VolatileCell<u16>,
}
#[doc = "Comparator Control Register 1"]
pub mod cex_ctl1;
#[doc = "Comparator Control Register 2"]
pub struct CEXCTL2 {
    register: ::vcell::VolatileCell<u16>,
}
#[doc = "Comparator Control Register 2"]
pub mod cex_ctl2;
#[doc = "Comparator Control Register 3"]
pub struct CEXCTL3 {
    register: ::vcell::VolatileCell<u16>,
}
#[doc = "Comparator Control Register 3"]
pub mod cex_ctl3;
#[doc = "Comparator Interrupt Control Register"]
pub struct CEXINT {
    register: ::vcell::VolatileCell<u16>,
}
#[doc = "Comparator Interrupt Control Register"]
pub mod cex_int;
#[doc = "Comparator Interrupt Vector Word Register"]
pub struct CEXIV {
    register: ::vcell::VolatileCell<u16>,
}
#[doc = "Comparator Interrupt Vector Word Register"]
pub mod cex_iv;
