#[doc = r" Value read from the register"]
pub struct R {
    bits: u32,
}
impl super::DMA_DEVICE_CFG {
    #[doc = r" Reads the contents of the register"]
    #[inline]
    pub fn read(&self) -> R {
        R {
            bits: self.register.get(),
        }
    }
}
#[doc = r" Value of the field"]
pub struct NUM_DMA_CHANNELSR {
    bits: u8,
}
impl NUM_DMA_CHANNELSR {
    #[doc = r" Value of the field as raw bits"]
    #[inline]
    pub fn bits(&self) -> u8 {
        self.bits
    }
}
#[doc = r" Value of the field"]
pub struct NUM_SRC_PER_CHANNELR {
    bits: u8,
}
impl NUM_SRC_PER_CHANNELR {
    #[doc = r" Value of the field as raw bits"]
    #[inline]
    pub fn bits(&self) -> u8 {
        self.bits
    }
}
impl R {
    #[doc = r" Value of the register as raw bits"]
    #[inline]
    pub fn bits(&self) -> u32 {
        self.bits
    }
    #[doc = "Bits 0:7 - Number of DMA channels available"]
    #[inline]
    pub fn num_dma_channels(&self) -> NUM_DMA_CHANNELSR {
        let bits = {
            const MASK: u8 = 255;
            const OFFSET: u8 = 0;
            ((self.bits >> OFFSET) & MASK as u32) as u8
        };
        NUM_DMA_CHANNELSR { bits }
    }
    #[doc = "Bits 8:15 - Number of DMA sources per channel"]
    #[inline]
    pub fn num_src_per_channel(&self) -> NUM_SRC_PER_CHANNELR {
        let bits = {
            const MASK: u8 = 255;
            const OFFSET: u8 = 8;
            ((self.bits >> OFFSET) & MASK as u32) as u8
        };
        NUM_SRC_PER_CHANNELR { bits }
    }
}
