#[doc = r" Value read from the register"]
pub struct R {
    bits: u32,
}
impl super::FLCTL_MASSERASE_TIMCTL {
    #[doc = r" Reads the contents of the register"]
    #[inline]
    pub fn read(&self) -> R {
        R {
            bits: self.register.get(),
        }
    }
}
#[doc = r" Value of the field"]
pub struct BOOST_ACTIVER {
    bits: u8,
}
impl BOOST_ACTIVER {
    #[doc = r" Value of the field as raw bits"]
    #[inline]
    pub fn bits(&self) -> u8 {
        self.bits
    }
}
#[doc = r" Value of the field"]
pub struct BOOST_HOLDR {
    bits: u8,
}
impl BOOST_HOLDR {
    #[doc = r" Value of the field as raw bits"]
    #[inline]
    pub fn bits(&self) -> u8 {
        self.bits
    }
}
impl R {
    #[doc = r" Value of the register as raw bits"]
    #[inline]
    pub fn bits(&self) -> u32 {
        self.bits
    }
    #[doc = "Bits 0:7 - Length of the time for which LDO Boost Signal is kept active"]
    #[inline]
    pub fn boost_active(&self) -> BOOST_ACTIVER {
        let bits = {
            const MASK: u8 = 255;
            const OFFSET: u8 = 0;
            ((self.bits >> OFFSET) & MASK as u32) as u8
        };
        BOOST_ACTIVER { bits }
    }
    #[doc = "Bits 8:15 - Length for which Flash deactivates the LDO Boost signal before processing any new commands"]
    #[inline]
    pub fn boost_hold(&self) -> BOOST_HOLDR {
        let bits = {
            const MASK: u8 = 255;
            const OFFSET: u8 = 8;
            ((self.bits >> OFFSET) & MASK as u32) as u8
        };
        BOOST_HOLDR { bits }
    }
}
