#[doc = r" Register block"]
#[repr(C)]
pub struct RegisterBlock {
    #[doc = "0x00 - Control 0 Register"]
    pub pcmctl0: PCMCTL0,
    #[doc = "0x04 - Control 1 Register"]
    pub pcmctl1: PCMCTL1,
    #[doc = "0x08 - Interrupt Enable Register"]
    pub pcmie: PCMIE,
    #[doc = "0x0c - Interrupt Flag Register"]
    pub pcmifg: PCMIFG,
    #[doc = "0x10 - Clear Interrupt Flag Register"]
    pub pcmclrifg: PCMCLRIFG,
}
#[doc = "Control 0 Register"]
pub struct PCMCTL0 {
    register: ::vcell::VolatileCell<u32>,
}
#[doc = "Control 0 Register"]
pub mod pcmctl0;
#[doc = "Control 1 Register"]
pub struct PCMCTL1 {
    register: ::vcell::VolatileCell<u32>,
}
#[doc = "Control 1 Register"]
pub mod pcmctl1;
#[doc = "Interrupt Enable Register"]
pub struct PCMIE {
    register: ::vcell::VolatileCell<u32>,
}
#[doc = "Interrupt Enable Register"]
pub mod pcmie;
#[doc = "Interrupt Flag Register"]
pub struct PCMIFG {
    register: ::vcell::VolatileCell<u32>,
}
#[doc = "Interrupt Flag Register"]
pub mod pcmifg;
#[doc = "Clear Interrupt Flag Register"]
pub struct PCMCLRIFG {
    register: ::vcell::VolatileCell<u32>,
}
#[doc = "Clear Interrupt Flag Register"]
pub mod pcmclrifg;
