#[doc = r" Value read from the register"]
pub struct R {
    bits: u16,
}
impl super::UCAXRXBUF {
    #[doc = r" Reads the contents of the register"]
    #[inline]
    pub fn read(&self) -> R {
        R {
            bits: self.register.get(),
        }
    }
}
#[doc = r" Value of the field"]
pub struct UCRXBUFR {
    bits: u8,
}
impl UCRXBUFR {
    #[doc = r" Value of the field as raw bits"]
    #[inline]
    pub fn bits(&self) -> u8 {
        self.bits
    }
}
impl R {
    #[doc = r" Value of the register as raw bits"]
    #[inline]
    pub fn bits(&self) -> u16 {
        self.bits
    }
    #[doc = "Bits 0:7 - Receive data buffer"]
    #[inline]
    pub fn ucrxbuf(&self) -> UCRXBUFR {
        let bits = {
            const MASK: u8 = 255;
            const OFFSET: u8 = 0;
            ((self.bits >> OFFSET) & MASK as u16) as u8
        };
        UCRXBUFR { bits }
    }
}
