#[doc = r" Value read from the register"]
pub struct R {
    bits: u32,
}
impl super::FLCTL_BURSTPRG_TIMCTL {
    #[doc = r" Reads the contents of the register"]
    #[inline]
    pub fn read(&self) -> R {
        R {
            bits: self.register.get(),
        }
    }
}
#[doc = r" Value of the field"]
pub struct ACTIVER {
    bits: u32,
}
impl ACTIVER {
    #[doc = r" Value of the field as raw bits"]
    #[inline]
    pub fn bits(&self) -> u32 {
        self.bits
    }
}
impl R {
    #[doc = r" Value of the register as raw bits"]
    #[inline]
    pub fn bits(&self) -> u32 {
        self.bits
    }
    #[doc = "Bits 8:27 - Length of the Active phase for this operation"]
    #[inline]
    pub fn active(&self) -> ACTIVER {
        let bits = {
            const MASK: u32 = 1048575;
            const OFFSET: u8 = 8;
            ((self.bits >> OFFSET) & MASK as u32) as u32
        };
        ACTIVER { bits }
    }
}
