#[doc = r" Value read from the register"]
pub struct R {
    bits: u32,
}
impl super::PCMIFG {
    #[doc = r" Reads the contents of the register"]
    #[inline]
    pub fn read(&self) -> R {
        R {
            bits: self.register.get(),
        }
    }
}
#[doc = r" Value of the field"]
pub struct LPM_INVALID_TR_IFGR {
    bits: bool,
}
impl LPM_INVALID_TR_IFGR {
    #[doc = r" Value of the field as raw bits"]
    #[inline]
    pub fn bit(&self) -> bool {
        self.bits
    }
    #[doc = r" Returns `true` if the bit is clear (0)"]
    #[inline]
    pub fn bit_is_clear(&self) -> bool {
        !self.bit()
    }
    #[doc = r" Returns `true` if the bit is set (1)"]
    #[inline]
    pub fn bit_is_set(&self) -> bool {
        self.bit()
    }
}
#[doc = r" Value of the field"]
pub struct LPM_INVALID_CLK_IFGR {
    bits: bool,
}
impl LPM_INVALID_CLK_IFGR {
    #[doc = r" Value of the field as raw bits"]
    #[inline]
    pub fn bit(&self) -> bool {
        self.bits
    }
    #[doc = r" Returns `true` if the bit is clear (0)"]
    #[inline]
    pub fn bit_is_clear(&self) -> bool {
        !self.bit()
    }
    #[doc = r" Returns `true` if the bit is set (1)"]
    #[inline]
    pub fn bit_is_set(&self) -> bool {
        self.bit()
    }
}
#[doc = r" Value of the field"]
pub struct AM_INVALID_TR_IFGR {
    bits: bool,
}
impl AM_INVALID_TR_IFGR {
    #[doc = r" Value of the field as raw bits"]
    #[inline]
    pub fn bit(&self) -> bool {
        self.bits
    }
    #[doc = r" Returns `true` if the bit is clear (0)"]
    #[inline]
    pub fn bit_is_clear(&self) -> bool {
        !self.bit()
    }
    #[doc = r" Returns `true` if the bit is set (1)"]
    #[inline]
    pub fn bit_is_set(&self) -> bool {
        self.bit()
    }
}
#[doc = r" Value of the field"]
pub struct DCDC_ERROR_IFGR {
    bits: bool,
}
impl DCDC_ERROR_IFGR {
    #[doc = r" Value of the field as raw bits"]
    #[inline]
    pub fn bit(&self) -> bool {
        self.bits
    }
    #[doc = r" Returns `true` if the bit is clear (0)"]
    #[inline]
    pub fn bit_is_clear(&self) -> bool {
        !self.bit()
    }
    #[doc = r" Returns `true` if the bit is set (1)"]
    #[inline]
    pub fn bit_is_set(&self) -> bool {
        self.bit()
    }
}
impl R {
    #[doc = r" Value of the register as raw bits"]
    #[inline]
    pub fn bits(&self) -> u32 {
        self.bits
    }
    #[doc = "Bit 0 - LPM invalid transition flag"]
    #[inline]
    pub fn lpm_invalid_tr_ifg(&self) -> LPM_INVALID_TR_IFGR {
        let bits = {
            const MASK: bool = true;
            const OFFSET: u8 = 0;
            ((self.bits >> OFFSET) & MASK as u32) != 0
        };
        LPM_INVALID_TR_IFGR { bits }
    }
    #[doc = "Bit 1 - LPM invalid clock flag"]
    #[inline]
    pub fn lpm_invalid_clk_ifg(&self) -> LPM_INVALID_CLK_IFGR {
        let bits = {
            const MASK: bool = true;
            const OFFSET: u8 = 1;
            ((self.bits >> OFFSET) & MASK as u32) != 0
        };
        LPM_INVALID_CLK_IFGR { bits }
    }
    #[doc = "Bit 2 - Active mode invalid transition flag"]
    #[inline]
    pub fn am_invalid_tr_ifg(&self) -> AM_INVALID_TR_IFGR {
        let bits = {
            const MASK: bool = true;
            const OFFSET: u8 = 2;
            ((self.bits >> OFFSET) & MASK as u32) != 0
        };
        AM_INVALID_TR_IFGR { bits }
    }
    #[doc = "Bit 6 - DC-DC error flag"]
    #[inline]
    pub fn dcdc_error_ifg(&self) -> DCDC_ERROR_IFGR {
        let bits = {
            const MASK: bool = true;
            const OFFSET: u8 = 6;
            ((self.bits >> OFFSET) & MASK as u32) != 0
        };
        DCDC_ERROR_IFGR { bits }
    }
}
